<div class="section-title pb-3">
  <h2>{{'EDIT_DOC_INFO' | translate}}</h2>
</div>
<form [formGroup]="documentForm">
  <div class="row">
    <div class="col-sm-12">
      <div class="form-group ">
        <label>{{'Name' | translate}}</label>
        <input formControlName="name" class="form-control" type="text">
        <div *ngIf="documentForm.get('name').touched && documentForm.get('name').errors">
          <div class="text-danger small" *ngIf="documentForm.get('name').errors?.required">
            {{'NAME_IS_REQUIRED' | translate}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="form-group col-12 col-md-9 px-0">
        <label>{{'CATEGORY' | translate}}</label>
        <mat-select class="form-control" formControlName="categoryId" #singleSelect (click)="isSearchCat = false" [disabled]="data.currentCatUrlActive == 'macroeconomic-assumptions'">
          <mat-option>
            <ngx-mat-select-search [formControl]="bankFilterCtrl" placeholderLabel="{{'SEARCH' | translate}}"></ngx-mat-select-search>
          </mat-option>
          <mat-option *ngFor="let category of filteredBanks | async" [value]="category.id">
            <div *ngIf="!isSearchCat">
              <div [ngStyle]="{'margin-left.px': category.deafLevel * 35}">
                <div *ngIf="!category.parentId">
                  <b> {{category.name}}</b>
                </div>
                <div *ngIf="category.parentId">
                  {{category.name}}
                </div>
              </div>
            </div>
            <div *ngIf="isSearchCat">
              <div *ngIf="!category.parentId">
                <b> {{category.name}}</b>
              </div>
              <div *ngIf="category.parentId">
                {{category.name}}
              </div>
            </div>
          </mat-option>
        </mat-select>
        <div *ngIf="documentForm.get('categoryId').touched && documentForm.get('categoryId').errors">
          <div class="text-danger small" *ngIf="documentForm.get('categoryId').errors?.required">
            {{'CATEGORY_IS_REQUIRED' | translate}}
          </div>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <div class="form-group ">
        <label>{{'DESCRIPTION' | translate}}</label>
        <angular-editor formControlName="description" [config]="editorConfig"></angular-editor>
      </div>
    </div>

    <div class="col-sm-9">
      <div class="" formArrayName="documentMetaTags"
        *ngFor="let documentmetatag of documentMetaTagsArray.controls; let i=index">
        <ng-container [formGroupName]="i">
          <label  *ngIf="i==0"> {{'ANALYST_NAME' | translate}} </label>
          <div class="form-row">
            <div class="form-group col-md mb-1 col">
                <mat-select placeholder="{{'ANALYST_NAME' | translate}}" formControlName="metatag" (selectionChange)="onMetatagChange($event,i)" class="form-control">
                  <mat-option *ngFor="let analyst of data.allAnalyst" [value]="analyst.name">{{analyst.name}}</mat-option>
                </mat-select>
            </div>
            <div class="form-group col-md-auto col-auto my-auto">
              <button *ngIf="i==0" (click)="onAddAnotherMetaTag()" class="btn btn-outline-success" type="button"> <i
                  class="las la-plus"></i></button>
              <button *ngIf="i!=0" (click)="onDeleteMetaTag(i)" class="btn btn-outline-danger" type="button"><i
                  class="las la-trash-alt"></i></button>
            </div>
          </div>
        </ng-container>
      </div>
      <div *ngIf="!isAnalystValid">
        <div class="text-danger small">
          {{'ANALYST_NAME_REQUIRED' | translate}}
        </div>
      </div>
    </div>

    <div class="col-sm-12">
      <div class="form-group col-6 mx-0 mt-2 mb-0 px-0">
        <label>{{'CREATED_DATE' | translate}}</label>
        <mat-form-field appearance="outline" class="w-100 p-0 m-0 cust-created-date">
            <input #ref matInput [matDatepicker]="picker" class="form-control h-100" formControlName="createddate">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
      </div>
      <div *ngIf="documentForm.get('createddate').touched && documentForm.get('createddate').errors">
        <div class="text-danger small" *ngIf="documentForm.get('createddate').errors?.required">
          {{'CREATED_DATE_REQUIRED' | translate}}
        </div>
      </div>
    </div>

    <div class="m-top-10 col-md-12">
      <button *hasClaim="'all_documents_edit_document'" class="btn btn-success btn-sm m-right-10" (click)="SaveDocument()" cdkFocusInitial><i class="las la-save"></i> {{'SAVE' | translate}}</button>
      <button type="button" class="btn btn-danger btn-sm" (click)="onDocumentCancel()"><i class="las la-times-circle"></i> {{'CANCEL' | translate}}</button>
    </div>
  </div>
</form>
